﻿package{
	
	import flash.html.HTMLLoader;
	import flash.events.Event;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	
	public class SampleHTMLLoader extends HTMLLoader {
		
		//コンストラクタ
		public function SampleHTMLLoader(){
			super();
		}
		
		//SampleHTMLLoaderはHTMLLoaderを継承しています。
		
		//一定時間後ページ最下部までスクロールする
		public function scrollToBottom():void{
			var timer:Timer = new Timer(3000, 1);
			timer.addEventListener(TimerEvent.TIMER_COMPLETE,
								   timerCompleteEventHandler);
			timer.start();
		}
		
		//タイマーイベントによりスクロール開始
		private function timerCompleteEventHandler(e:TimerEvent):void{
			e.target.removeEventListener(TimerEvent.TIMER_COMPLETE,
										 timerCompleteEventHandler);
			this.addEventListener(Event.ENTER_FRAME, scrollHandler);
		}
		
		//スクロール実行
		private function scrollHandler(e:Event):void{
			//1pxスクロール
			this.scrollV+=1;
			//最下部までスクロールしたか判定
			if(this.scrollV >= this.contentHeight - this.height){
				this.removeEventListener(Event.ENTER_FRAME,
										 scrollHandler);
				dispatchEvent(new Event("scrollComplete"));
			}
		}
		
		//SampleHTMLLoaderはHTMLLoaderを継承しています。
		
		//フェードアウト開始
		public function fadeOut():void{
			this.addEventListener(Event.ENTER_FRAME,
								  fadeoutHandler);
		}
		
		//フェードアウト実行
		private function fadeoutHandler(e:Event):void{
			this.alpha += (0 - this.alpha * 0.05);
			if(this.alpha <= 0.01){
				this.removeEventListener(Event.ENTER_FRAME,
										 fadeoutHandler);
				dispatchEvent(new Event("onHide"));
			}
		}
		
		//デストラクタ
		public function destroy():void{
			if(this.parent != null)this.parent.removeChild(this);
			delete this;
		}
		
	}
	
}