﻿package {
	import flash.desktop.*;
	import flash.display.*;
	import flash.events.*;
	import flash.filesystem.*;
	import flash.net.*;
	
	/**
	 * 画像ファイルの表示と読み込みを行うノード
	 */
	public class ImgNode extends Sprite {
		
		private var _ldr:Loader;
		
		public function ImgNode() {
		}
		
		public function init(file:File) {
			_ldr = new Loader();
			_ldr.contentLoaderInfo.addEventListener(Event.COMPLETE,
											loadedImg, false, 0, true);
			_ldr.load(new URLRequest(file.nativePath));
			this.addChild(_ldr);
		}
		
		private function loadedImg(e:Event):void {
			dispatchEvent(e);
		}
	}
}
