﻿package {
	
	import flash.display.*;
	import flash.events.*;
	import flash.text.*;
	
	/**
	  *  タスク表示クラス
	  */
	public class Task extends Sprite {
		
		private var _info:Object;
		private var _closeHandler:Function;
		private var _changeStatusHandler:Function;
		
		// コンストラクタ
		public function Task(info:Object, closeHandler:Function, changeStatusHandler:Function) {
			for (var i in info) {
				trace(i + " :: " + info[i]);
			}
			_info = info;
			_closeHandler = closeHandler;
			_changeStatusHandler = changeStatusHandler;
			_desc.text = _info.desc;
			if (Boolean(_info.status) == true) {
				_chkBox.gotoAndStop(2);
			} else {
				_chkBox.gotoAndStop(1);
			}
			_deleteBtn.addEventListener(MouseEvent.CLICK, deleteTask, false, 0, true);
			_chkBox.buttonMode = true;
			_chkBox.addEventListener(MouseEvent.CLICK, changeStatus, false, 0, true);
		}
		
		// タスクのステータス変更
		private function changeStatus(evt:Event) {
			_changeStatusHandler(_info.no, !Boolean(_info.status));
		}
		
		// タスクの削除
		private function deleteTask(evt:Event) {
			_closeHandler(_info.no);
			_closeHandler = null;
		}
	}
}
