﻿package {
	
	import flash.desktop.*;
	import flash.display.*;
	import flash.events.*;
	import flash.utils.*;
	
	public class MyIcon extends MovieClip {
		
		/**
		 * コンストラクタ
		 */
		public function MyIcon() {
			
			// アイコンの設定
			var imgArray:Array = new Array();
			imgArray.push(new BitmapData(16, 16, false, 0x00ff00 ));
			imgArray.push(new BitmapData(128, 128, false, 0x00ff00 ));
			NativeApplication.nativeApplication.icon.bitmaps = imgArray;
			
			// メニューの設定
			var menu:NativeMenu = new NativeMenu();
       		var exitMenu = menu.addItem(new NativeMenuItem("Exit"));
			exitMenu.addEventListener(Event.SELECT, function(evt:Event) {
															   			stage.nativeWindow.close();
																	});
			
			if (NativeApplication.supportsDockIcon) {
				// Mac の場合
				var dockIcon:DockIcon
					= NativeApplication.nativeApplication.icon as DockIcon;
				dockIcon.menu = menu;
			} else if (NativeApplication.supportsSystemTrayIcon) { 
				// Windows の場合
				// ToolTip の設定。
				var trayIcon:SystemTrayIcon
					= NativeApplication.nativeApplication.icon as SystemTrayIcon;
				trayIcon.menu = menu;
				
				trayIcon.tooltip = "最小化時にクリックすると表示されます";
				trayIcon.addEventListener(MouseEvent.CLICK, restore);
			}
			
			_closeBtn.addEventListener(MouseEvent.CLICK, miniWindow);
		}
		
		private function restore(event:MouseEvent):void {
			stage.nativeWindow.restore();
		}
		
		private function miniWindow(event:MouseEvent):void {
			stage.nativeWindow.minimize();
			setTimeout(notice, 3000);
		}
		
		private function notice() {
			if (!stage.nativeWindow.active) {
				if (NativeWindow.supportsNotification) {
					// Windows の場合
					stage.nativeWindow.notifyUser(NotificationType.INFORMATIONAL);
				} else if (NativeApplication.supportsDockIcon) {
					var dockIcon:DockIcon
						= NativeApplication.nativeApplication.icon as DockIcon;
					dockIcon.bounce(NotificationType.INFORMATIONAL);
				}
			}
		}
	}
}
