﻿package {

	import flash.desktop.*;
	import flash.display.*;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.events.*;
	import flash.net.navigateToURL;
	import flash.net.URLRequest;
	import flash.net.URLRequestMethod;

	public class NewItem extends MovieClip {

		private var _mylink:String = "";

		public function NewItem() {
			tx_str.autoSize=TextFieldAutoSize.LEFT;
			this.buttonMode=true;
			this.addEventListener(MouseEvent.CLICK,clickBtn);
			this.addEventListener(MouseEvent.ROLL_OVER , onRollBtn);
			this.addEventListener(MouseEvent.ROLL_OUT, onRollOutBtn);
		}
		
		public function setInfo(obj) {
			// データの設定
			tx_str.text = obj.title;
			if (tx_str.width > 240) {
				tx_str.autoSize=TextFieldAutoSize.NONE;
				tx_str.width = 240;
			}
			btroll2.width = tx_str.width;
			_mylink = obj.link;
			dateFormat(obj.pubDate);
		}
		
		private function dateFormat(str) {
			// 日付の設定
			var tmpD:Date = new Date(str.substr(0,16));
			dt_str.text = tmpD.getFullYear()+"/"+(tmpD.getMonth() + 1)+"/"+tmpD.getDate();
		}
		
		private function onRollBtn(e:MouseEvent) {
			btroll.alpha = 1;
		}
		
		private function onRollOutBtn(e:MouseEvent) {
			btroll.alpha = 0;
		}
		
		private function clickBtn(e:MouseEvent) {
			var url:URLRequest = new URLRequest( _mylink);
			navigateToURL( url );
		}
	}
}
