﻿package {
	
	import air.update.ApplicationUpdaterUI;
	import flash.display.*;
	import flash.filesystem.*;
	import flash.events.*;
	
	public class UpdateSample extends Sprite {
		
		private var _appUpdater:ApplicationUpdaterUI;
		
		public function UpdateSample() {
			_appUpdater = new ApplicationUpdaterUI();
			
			// アップデート情報の記載されたファイルの url
			_appUpdater.updateURL = "http://book.mycom.co.jp/support/pc/air/data/update_test/update-info.xml";
			// 新しい更新を周期的にチェックする間隔の日数
			_appUpdater.delay = 1;
			// アップデートがあるかチェックするか UI で確認
			_appUpdater.isCheckForUpdateVisible = false;
			// アップデートをダウンロードするか UI で確認
			_appUpdater.isDownloadUpdateVisible = true;
			// ダウンロード状況を UI で確認
			_appUpdater.isDownloadProgressVisible = true;
			// アップデートをインストールするか UI で確認
			_appUpdater.isInstallUpdateVisible = true;
			
			_appUpdater.initialize();
			_updateBtn.addEventListener(MouseEvent.CLICK, checkUpdate);
		}
		
		private function checkUpdate(e:MouseEvent):void {
			_appUpdater.checkNow();
		}
	}
}


